function love.load()
	love.graphics.setBackgroundColor(100,100,100)
	pics = {love.graphics.newImage("pic1.jpg"), love.graphics.newImage("pic2.jpg")}
	currPic = 1
	time = 0
	hide = false
	lineNb = 512
	instructions = [[
h : hide text
scroll : lines number
mouse x : noise intensity
mouse y : scanlines intensity
space : change picture
]]
	effect = love.graphics.newPixelEffect[[
extern number time;

// noise effect intensity value (0 = no effect, 1 = full effect)
extern number nIntensity;

// scanlines effect intensity value (0 = no effect, 1 = full effect)
extern number sIntensity;

// scanlines effect count value (0 = no effect, 4096 = full effect)
extern number sCount;

vec4 effect(vec4 color, Image tex, vec2 tc, vec2 pc)
{
	vec4 cTextureScreen = Texel( tex, tc);
	
	number x = tc.x * tc.y * time * 1000.0;
	x = mod( x, 13.0 ) * mod( x, 123.0 );
	number dx = mod( x, 0.01 );
	
	vec3 cResult = cTextureScreen.rgb + cTextureScreen.rgb * clamp( 0.1 + dx * 100.0, 0.0, 1.0 );
	
	vec2 sc = vec2( sin( tc.y * sCount ), cos( tc.y * sCount ) );
	
	cResult += cTextureScreen.rgb * vec3( sc.x, sc.y, sc.x ) * sIntensity;
	
	cResult = cTextureScreen.rgb + clamp( nIntensity, 0.0,1.0 ) * ( cResult - cTextureScreen.rgb );
	
	// cResult = vec3( cResult.r * 0.3 + cResult.g * 0.59 + cResult.b * 0.11 ); //grayscale
	return vec4( cResult, cTextureScreen.a );
	
	}
	]]
	love.mouse.setPosition(love.graphics.getWidth()/2, love.graphics.getHeight()/2)
end

function love.draw()
	local pic = pics[currPic]
	local nIntensity = love.mouse.getX()/love.graphics.getWidth()
	local sIntensity = love.mouse.getY()/love.graphics.getHeight()
	effect:send("time",time)
	effect:send("nIntensity", nIntensity)
	effect:send("sIntensity", sIntensity)
	effect:send("sCount", lineNb)
	love.graphics.setPixelEffect(effect)
	x = -(pic:getWidth()-love.graphics.getWidth())*(math.sin(time/5)/2+0.5)
	y = -(pic:getHeight()-love.graphics.getHeight())*(math.sin(time/3)/2+0.5)
	love.graphics.draw(pic,x,y)
	love.graphics.setPixelEffect()
	if not hide then
		love.graphics.setColor(0,0,0,128)
		love.graphics.rectangle("fill",0,0,250,114)
		love.graphics.setColor(255,255,255)
		love.graphics.print("noise intensity : "..nIntensity,0,0)
		love.graphics.print("scanlines intensity : "..sIntensity,0,14)
		love.graphics.print("lines number : "..lineNb,0,28)
		love.graphics.print(instructions,0,42)
	end
end

function love.update(dt)
	time = time+dt
end

function love.keypressed(key)
	if key == "escape" then
		love.event.push("quit")
	elseif key == " " then
		if currPic == 1 then
			currPic = 2
		else
			currPic = 1
		end
	elseif key == "h" then
		hide = not hide
	end
end

function love.mousepressed(x,y,b)
	if b == "wu" then
		lineNb = lineNb+100
		if(lineNb > 4096) then lineNb = 4096 end
	elseif b == "wd" then
		lineNb = lineNb-100
		if(lineNb < 0) then lineNb = 0 end
	end
end